<template>
  <div class="img-bg" />
</template>

<script setup lang="ts">
const props = withDefaults(
  defineProps<{
    src: string
  }>(),
  {},
)
const url = `url(${props.src})`
</script>

<style lang="scss" scoped>
.img-bg {
  position: absolute;
  left: 0;
  right: 0;
  top: 0;
  bottom: 0;
  background: v-bind(url);
}
</style>
